/*	 Cropcirc.h, three functions for drawing antialiased circles
	void CropCircle(int x,int y, int radius)
	void BlackHole(int x,int y, int radius)
	void Circle36(int x, int y, int Hue)
	Set fc, ac1, ac2, ac3, and ac4 before using
*/
/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */

#ifndef CROPCIRC_H
#define CROPCIRC_H


#include <math.h>
#include <float.h>
#include "lcars24.h"
#include "lccolor.h"

float s;

void FadeWest(BITMAP *bmp,int x, int y);
void FadeEast(BITMAP *bmp,int x, int y);
void FadeNorth(BITMAP *bmp,int x, int y);
void FadeSouth(BITMAP *bmp,int x, int y);
int CropCircle(BITMAP *bmp,int reverse, int x,int y, float radius);
void BlackHole(BITMAP *bmp,int x,int y, float radius);

#endif

